// eslint-disable-next-line import/no-extraneous-dependencies
import { Children } from 'react';
export function extractChildrenText(children, text = '') {
  if (!children) return '';
  Children.toArray(children).forEach(child => {
    if (!child) return;
    if (child.props?.children) {
      text += extractChildrenText(child.props?.children);
    } else {
      text += child.toString();
    }
  });
  return text;
}
export function textToHTMLId(text) {
  return typeof text === 'string' ? text.replace(/\s/g, '') : undefined;
}